Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9447

Department: CARMEQ Affected Products: ADTF 3.2.0, ADTF 3.2.1, ADTF 3.3.0

(BETA)

Requester's Priority: Normal Platform: Other Linux 64bit, Ubuntu 16.04 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:  

Description

Hallo,

nach der Installation von ADTF (3.3beta und 3.2) auf einem Ubuntu 16.04. lässt sich der ADTF_configuration_editor nicht starten

bzw. das Fenster bleibt schwarz. Die Ausgaben in der Konsole sieht man im Anhang. ADTF-launcher sowie licenceviewer starten

problemlos.

Info: Der Rechner hat eine NVIDIA-Grafikkarte mit der Treiber-Version 384.111.

Viele Grüße,

Ugur Kekec

Lösung:

Das Problem wird durch einen Bug von NVIDIA Treibern auf Ubuntu ausgelöst.

Es ist kein ADTF Problem.

Lösung wurde in die FAQ aufgenommen.

Produkt Ticket (Change) erstellt: ACORE-9447

History

#1 - 2018-04-10 08:44 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::CE

- Customer set to VW

- Project changed from 4 to 20

#2 - 2018-04-10 09:46 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Ugur,

handelt es sich bei dem Rechner um eine virtuelle Maschine oder einen direkten/physikalischen Rechner?

Hintergrund: Bei virtuellen Maschinen sind uns aktuell Probleme mit dem Configuration Editor bekannt.

Gruß

Matthias

#3 - 2018-04-10 09:56 - hidden

Hallo Matthias,

ich hatte das Problem erst in einer VM und habe es deshalb auf einem physikalischen Rechner probiert. Von diesem sind auch die Screenshots.

Viele Grüße,

Ugur
#4 - 2018-04-10 13:22 - hidden

Hallo zusammen,

auf meinem realen Desktop mit Ubuntu 16.04 und Nvidia-Grafikarte geht es genauso schief. adtf_guicontrol startet auch nicht.

Beste Grüße

Thorsten Rennekamp

#5 - 2018-04-10 13:43 - hidden

Nach kurzem googeln nach der Fehlermeldung habe ich das Problem und eine Lösung/einen Workaround hier gefunden:

https://github.com/Ultimaker/Cura/pull/131

Vlt. sollte das mit in die Doku/Faqs aufgenommen werden.

Zusammengefasst wird die falsche libGL geladen, wenn ein Nvidia-Treiber installiert ist.

#6 - 2018-04-10 15:01 - hidden

This is a well-known bug with nVidia drivers on Ubuntu, and can be resolved by following the instructions given here: 

https://github.com/Ultimaker/Cura/pull/131#issuecomment-176088664

The Ubuntu bug report which gives more detail and alternative fixes is here: https://bugs.launchpad.net/ubuntu/+source/python-qt4/+bug/941826

#7 - 2018-04-11 10:41 - hidden

- Subject changed from Configuration-Editor auf Ubuntu 16.04 to Configuration-Editor auf Ubuntu 16.04 mit NVIDIA Grafikkarte/Treiber

- Description updated

- Resolution set to Known Problem

Hallo Thorsten,

Hallo Ugur,

vielen dank für die Information.

Wir haben dies direkt in unsere FAQ's übernommen!

ADTF GUI Control does not start on Ubuntu 16.4 with a NVIDIA grafic card

Bitte um kurze Rückmeldung damit wir das Support Ticket schließen können.

Gruß

Matthias

#8 - 2018-04-11 12:16 - hidden

Hallo Matthias,

prima, danke. Vielleicht könnt ihr noch prüfen, ob das Problem in zukünftigen Versionen auch dauerhaft gelöst werden kann. Vielleicht durch diesen

Hinweis aus https://bugs.launchpad.net/ubuntu/+source/python-qt4/+bug/941826/comments/16 indem z.B. libGL.so.1 angezogen wird.

LG

Thorsten

#9 - 2018-04-18 14:48 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution changed from Known Problem to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9447

Es wurde zusätzlich zu den FAQ Eintrag ein Produkt Ticket (Change Request) ACORE-9447 erstellt.

Das Support Ticket wird damit geschlossen.

#10 - 2018-04-20 16:51 - hidden

- Subject changed from Configuration-Editor auf Ubuntu 16.04 mit NVIDIA Grafikkarte/Treiber to Configuration Editor on Ubuntu 16.04 with NVIDIA

graphic driver

#11 - 2018-05-22 08:24 - hidden

- Project changed from 20 to Public Support
https://github.com/Ultimaker/Cura/pull/131#issuecomment-176088664
https://bugs.launchpad.net/ubuntu/+source/python-qt4/+bug/941826
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-ADTF-GUI-Control-does-not-start-on-Ubuntu-164-with-a-NVIDIA-grafic-card
https://bugs.launchpad.net/ubuntu/+source/python-qt4/+bug/941826/comments/16


- Private changed from Yes to No

#12 - 2018-05-23 14:20 - hidden

- Status changed from To Be Closed to Closed
